# kdecore Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTypeList< T, U > Struct Template Reference

The building block of typelists of any length. More...

`#include <ktypelist.h>`

List of all members.

## Public Types

typedef T | Head
typedef U | Tail

## Detailed Description

### template<class T, class U>
struct KTypeList< T, U >

The building block of typelists of any length.

Use it through the K_TYPELIST_NN macros. Defines nested types:

- Head (first element, a non-typelist type by convention)
- Tail (second element, can be another typelist)

Definition at line 362 of file ktypelist.h.

## Member Typedef Documentation

template<class T, class U>
typedef T KTypeList< T, U >::Head

| first element, a non-typelist type by convention Definition at line 365 of file ktypelist.h.

template<class T, class U>
typedef U KTypeList< T, U >::Tail

| second element, can be another typelist Definition at line 367 of file ktypelist.h.

The documentation for this struct was generated from the following file:

- ktypelist.h

This file is part of the documentation for kdecore Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:19:09 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003